v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/allShipments
Searches for shipments associated with a study by study ID. Rights: OrsInventoryGet, OrsUnblinded, BlindedDepot.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Query Parameters
-
depotShipment(required): boolean
Boolean value for looking for depot shipments.
-
destinationId(required): string(uuid)
String value for destination of shipment.
-
originId(required): string(uuid)
String value for origin of shipment.
-
recon(required): boolean
Boolean value for recon.
-
searchString(required): string
Search string.
-
statusId(required): number
ID of the status.
-
transactionId: string(uuid)
String value for transaction ID of shipment.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : ViewShipmentResponse
Type:
objectTitle:
ViewShipmentResponseContains shipments search result.
Show Source
-
count: integer
(int64)
Total count of result
-
hasMore: boolean
Attribute describes if result set has more recordsExample:
true -
limit: integer
(int64)
Maximum number of records to display per page.
-
links: array
links
-
offset: integer
(int64)
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Example:
400 -
shipments: array
Shipments
Title:
ShipmentsShipments list. -
totalResults: integer
(int64)
Total number of entities in response
Nested Schema : Shipments
Type:
arrayTitle:
ShipmentsShipments list.
Show Source
-
Array of:
object ShipmentTO
Title:
ShipmentTOShipment details including site, depot, status, dates, and tracking info.
Nested Schema : RelLink
Type:
objectObject contains link detail.
Show Source
-
href: string
Realtive URL
-
rel: string
link
Nested Schema : ShipmentTO
Type:
objectTitle:
ShipmentTOShipment details including site, depot, status, dates, and tracking info.
Show Source
-
createdDate: string
(date-time)
Shipment creation date.Example:
2025-01-01T12:00:00Z -
depotId: string
(uuid)
Depot ID.Example:
00000000-0000-0000-0000-000000000002 -
depotName: string
Name of the depot.Example:
Main Depot -
depotShortName: string
Depot short name.Example:
DEPOT-1 -
shipDate: string
(date-time)
Ship date.Example:
2025-01-02T09:30:00Z -
shipmentId: string
ID of the shipment.Example:
SHIP-0001 -
shipmentNumber: string
Shipment number.Example:
00012345 -
siteId: string
(uuid)
Site ID.Example:
00000000-0000-0000-0000-000000000001 -
siteName: string
Name of the site.Example:
Site 001 -
siteShortName: string
Site short name.Example:
S001 -
statusId: integer
(int32)
Shipment status ID.Example:
1 -
trackingNumber: string
Shipment tracking number.Example:
1Z999AA10123456784 -
trackingNumberURL: string
(uri)
URL for tracking the shipment.Example:
https://carrier.example/track/1Z999AA10123456784
404 Response
'Invalid study ID', 'Study still in design phase'
Nested Schema : result
Type:
objectNested Schema : details
Type:
object500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
object